> ## Documentation Index
> Fetch the complete documentation index at: https://docs.databar.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Duplicate a table

> Copy a table into a new workbook.



## OpenAPI

````yaml POST /v1/table/duplicate
openapi: 3.1.0
info:
  title: Databar.ai API
  description: >-

    # Authentication


    Databar uses API keys to allow access to the API. You can find your API key
    in your workspace home page, but to use the REST API you’ll first need to
    schedule a call with us.

    Our API expects the API key to be included in all API requests to the server
    in the Header of your request with the key `x-apikey`.

    To find your API key, head over to your Databar workspace and click
    Integrations.


    **Example:**


    `bash

    curl https://api.databar.ai/v1/user/me -H x-apikey: {YOUR_API_KEY}`
  contact:
    email: info@databar.ai
  version: 0.1.2
servers:
  - url: https://api.databar.ai
    description: Production
security: []
paths:
  /v1/table/duplicate:
    post:
      tags:
        - Table
      summary: Duplicate a table
      description: Copy a table into a new workbook.
      operationId: duplicate_table
      parameters:
        - name: x-apikey
          in: header
          required: true
          schema:
            type: string
            title: API Key
            description: API Key for authentication
          description: API Key for authentication
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DuplicateTable'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Table'
        '401':
          description: Missing or invalid API key
        '404':
          description: Not found
components:
  schemas:
    DuplicateTable:
      type: object
      title: DuplicateTable
      properties:
        table:
          type: string
          format: uuid
          description: UUID of the table to duplicate.
      required:
        - table
    Table:
      properties:
        identifier:
          type: string
          title: Identifier
        name:
          type: string
          title: Name
        created_at:
          type: string
          title: Created At
        updated_at:
          type: string
          title: Updated At
        workspace_identifier:
          anyOf:
            - type: string
            - type: 'null'
          title: Workspace Identifier
        workbook:
          anyOf:
            - type: string
            - type: 'null'
          title: Workbook
          description: Parent workbook identifier (wb_…).
        table_url:
          type: string
          title: Table Url
          readOnly: true
      type: object
      required:
        - identifier
        - name
        - created_at
        - updated_at
        - table_url
      title: Table

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.